MatchStatus (3.14.0 310 API)
Date: 2018-05-30

com.marketfactory.messaging

## Enum MatchStatus

- java.lang.Object
- - java.lang.Enum<MatchStatus>
  - - com.marketfactory.messaging.MatchStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MatchStatus>

      public enum MatchStatus
      extends java.lang.Enum<MatchStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_INVALID`
    `DONE` The trade capture is confirmed and done, the accompanying amount is final.
    `ERROR` The trade capture state is unknown; an error has occurred.
    `PENDING` The trade capture is pending, awaiting confirmation; the accompanying amount may be reduced on the subsequent DONE.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `val`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `get()`
    `static MatchStatus` | `get(byte value)`
    `static java.util.Collection<MatchStatus>` | `validValues()`
    `static MatchStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MatchStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PENDING

          public static final MatchStatus PENDING

      The trade capture is pending, awaiting confirmation; the accompanying amount may be reduced on the subsequent DONE. This message is optional. See manual for details.

    - #### DONE

          public static final MatchStatus DONE

      The trade capture is confirmed and done, the accompanying amount is final.

    - #### ERROR

          public static final MatchStatus ERROR

      The trade capture state is unknown; an error has occurred. You need to call the exchange.

    - #### _INVALID

          public static final MatchStatus _INVALID

  - ### Field Detail

    - #### val

          public byte val

  - ### Method Detail

    - #### values

          public static MatchStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MatchStatus c : MatchStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MatchStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public byte get()

    - #### get

          public static MatchStatus get(byte value)

    - #### validValues

          public static java.util.Collection<MatchStatus> validValues()